Name:           exaile
Version:        3.4.3
Release:        1%{?dist}
Summary:        A simple but powerful Amarok-style music player for GTK users
License:        GPLv2+
URL:            http://www.exaile.org
Source0:        https://github.com/exaile/exaile/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  help2man
BuildRequires:  libappstream-glib
BuildRequires:  pygobject2-devel >= 2.18
Requires:       dbus-python
Requires:       gstreamer-plugins-good
Requires:       gstreamer-python >= 0.10
Requires:       librsvg2
Requires:       pygtk2 >= 2.17
Requires:       pygobject2 >= 2.18
Requires:       python-CDDB
Requires:       python-mutagen >= 1.10
Requires:       udisks2

%description
Exaile is a music player with a simple interface and powerful music
management capabilities. Features include automatic fetching of album art,
lyrics fetching, streaming internet radio, tabbed playlists, smart
playlists with extensive filtering/search capabilities, and much more. 

Exaile is written using Python and GTK+ and is easily extensible via
plugins. There are over 50 plugins distributed with Exaile that include
advanced track tagging, last.fm scrobbling, support for portable media
players, podcasts, internet radio such as icecast and Soma.FM,
ReplayGain, output via a secondary output device (great for DJs!), and
much more.

%prep
%setup -q
# Corresponding to:
# 1. Do not silently bytecompile.
# 2. Preserve timestamps.
find . -type f -name "Makefile" -exec \
    sed -i -e 's|compileall -q|compileall|g' \
    -e 's|install -m|install -pm|g' \
{} + -print

%build
%make_build

%install
%make_install PREFIX=%{_prefix} LIBINSTALLDIR=/share PYTHON2_CMD=%{__python2}

desktop-file-install --delete-original			\
	--dir=%{buildroot}%{_datadir}/applications	\
	%{buildroot}%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%check
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/appdata/*.appdata.xml
#make test

%files -f %{name}.lang
%doc COPYING FUTURE
%{_bindir}/exaile
%{_datadir}/appdata/exaile.appdata.xml
%{_datadir}/applications/exaile.desktop
%{_datadir}/pixmaps/exaile.png
%{_datadir}/exaile/
%{_datadir}/dbus-1/services/org.exaile.Exaile.service
%dir %{_sysconfdir}/xdg/exaile/
%config(noreplace) %{_sysconfdir}/xdg/exaile/settings.ini
%{_mandir}/man1/exaile*.1*

%changelog
* Fri Jan 09 2015 Christopher Meng <rpm@cicku.me> - 3.4.3-1
- Update to 3.4.3

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Feb 21 2014 Deji Akingunola <dakingun@gmail.com> - 3.3.2-1
- Update to 3.3.2

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.3.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Mar 08 2013 Jon Ciesla <limburgher@gmail.com> - 3.3.1-3
- Drop desktop vendor tag.

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Nov 17 2012 Deji Akingunola <dakingun@gmail.com> - 3.3.1-1
- Update to 3.3.1

* Mon Sep 24 2012 Deji Akingunola <dakingun@gmail.com> - 3.3.0-1
- Update to 3.3.0

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Sep 12 2011 Deji Akingunola <dakingun@gmail.com> - 0.3.2.2-2
- Place exaile's private modules in %datadir
- Trim (un-necessary?) requires

* Wed Aug 31 2011 Deji Akingunola <dakingun@gmail.com> - 0.3.2.2-1
- Update to 0.3.2.2
- Drop hal. Apply patch to support udisk from upstream bzr's udisk branch

* Thu Mar 03 2011 Deji Akingunola <dakingun@gmail.com> - 0.3.2.1-1
- Update to 0.3.2.1

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 0.3.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Mon Jun 28 2010 Deji Akingunola <dakingun@gmail.com> - 0.3.2.0-1
- Update to 0.3.2.0

* Wed Jun 09 2010 Deji Akingunola <dakingun@gmail.com> - 0.3.1.2-1
- Update to 0.3.1.2

* Fri Apr 09 2010 Deji Akingunola <dakingun@gmail.com> - 0.3.1.1-1
- Update to 0.3.1.1

* Sat Mar 20 2010 Deji Akingunola <dakingun@gmail.com> - 0.3.1.0-1
- Update to 0.3.1.0

* Wed Nov 25 2009 Deji Akingunola <dakingun@gmail.com> - 0.3.0.2-1
- Update to 0.3.0.2

* Wed Sep 30 2009 Deji Akingunola <dakingun@gmail.com> - 0.3.0.1-1
- Update to 0.3.0.1

* Fri Aug 28 2009 Deji Akingunola <dakingun@gmail.com> - 0.3.0-1
- Update to 0.3.0

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.14-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.14-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Nov 30 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.2.14-2
- Rebuild for Python 2.6

* Thu Oct 09 2008 Deji Akingunola <dakingun@gmail.com> - 0.2.14-1
- Update to 0.2.14

* Fri Jul 11 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.2.13-3
- fix license tag

* Mon Jul 07 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.2.13-2
- fix conditional comparison
- add sparc64 to 64bit arch check

* Wed Apr 02 2008 Deji Akingunola <dakingun@gmail.com> - 0.2.13-1
- Update to 0.2.13

* Sun Feb 10 2008 Deji Akingunola <dakingun@gmail.com> - 0.2.11.1-2
- Rebuild for gcc43

* Thu Nov 29 2007 Deji Akingunola <dakingun@gmail.com> - 0.2.11.1-1
- Update to 0.2.11.1 that removes bogus cruft from 0.2.11 source tarball
- Rebuild for firefox-2.0.0.10

* Tue Nov 06 2007 Deji Akingunola <dakingun@gmail.com> - 0.2.11-2
- Rebuild for firefox-2.0.0.9

* Mon Oct 22 2007 Deji Akingunola <dakingun@gmail.com> - 0.2.11-1
- New release

* Tue Sep 11 2007 Deji Akingunola <dakingun@gmail.com> - 0.2.10-3
- Require pygtk2-libglade (BZ #278471)

* Wed Aug 22 2007 Deji Akingunola <dakingun@gmail.com> - 0.2.10-2
- Rebuild

* Fri Aug 03 2007 Deji Akingunola <dakingun@gmail.com> - 0.2.10-2
- License tag update

* Sat Jun 30 2007 Deji Akingunola <dakingun@gmail.com> - 0.2.10-1
- New release

* Fri Mar 30 2007 Deji Akingunola <dakingun@gmail.com> - 0.2.9-1
- New release

* Tue Jan 09 2007 Deji Akingunola <dakingun@gmail.com> - 0.2.8-1
- New release

* Sat Dec 30 2006 Deji Akingunola <dakingun@gmail.com> - 0.2.7-1
- New release

* Wed Dec 27 2006 Deji Akingunola <dakingun@gmail.com> - 0.2.6-3
- Rework the python include patch

* Wed Dec 27 2006 Deji Akingunola <dakingun@gmail.com> - 0.2.6-2
- Rewrite the build patch to be more generic

* Tue Dec 26 2006 Deji Akingunola <dakingun@gmail.com> - 0.2.6-1
- First version for Fedora Extras
